Skip to main content
GET
/
static
/
projects
/
{projectId}
/
spaces
/
{spaceId}
/
collection
/
medias
/
{mediaId}
cURL
curl --request GET \
  --url https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/medias/{mediaId} \
  --header 'x-r25-ac-api-key: <x-r25-ac-api-key>' \
  --header 'x-r25-ac-api-secret: <x-r25-ac-api-secret>'
import requests

url = "https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/medias/{mediaId}"

headers = {
"x-r25-ac-api-key": "<x-r25-ac-api-key>",
"x-r25-ac-api-secret": "<x-r25-ac-api-secret>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-r25-ac-api-key': '<x-r25-ac-api-key>',
'x-r25-ac-api-secret': '<x-r25-ac-api-secret>'
}
};

fetch('https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/collection/medias/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "type": "image",
  "mediaId": "<string>",
  "projectId": "<string>",
  "spaceId": "<string>",
  "assets": [
    {
      "path": "media/00000000000000000000000.png",
      "accessUrl": "<string>"
    }
  ],
  "accessUrl": "<string>",
  "thumbnailAccessUrl": "<string>",
  "meta": {
    "ext": "png",
    "mimetype": "image/png",
    "asset": "AdobeAnimate_cjs_1_0_0"
  },
  "fileSize": 1234567,
  "duration": 1234567,
  "operations": [
    {
      "type": "trim",
      "orientation": "top-left"
    }
  ],
  "thumbnailOperations": [
    {
      "type": "trim",
      "orientation": "top-left"
    }
  ],
  "alias": "<string>",
  "originalUrl": "<string>",
  "status": "published",
  "signed": true
}

Headers

x-r25-ac-api-key
string
required

コンソールで取得したAPIキーを指定してください。

x-r25-ac-api-secret
string
required

コンソールで取得したAPIシークレットを指定してください。

Path Parameters

projectId
string
required

ご自身のプロジェクトIDを指定してください。

spaceId
string
required

ご自身のスペースIDを指定してください。

mediaId
string
required

メディアのIDを指定してください。

Response

メディア一件

name
string
required

メディア名

type
enum<string>
required
Available options:
image,
video
Example:

"image"

mediaId
string
required

メディアのID

projectId
string
required

プロジェクトのID

spaceId
string
required

スペースのID

assets
object[]
accessUrl
string<uri>

メディアにアクセスするためのURL。type が video の場合、HLS(.m3u8)のURLを返します。

thumbnailAccessUrl
string<uri>

サムネイル画像のアクセスURL

meta
object
fileSize
integer<int64>

ファイルサイズ

Example:

1234567

duration
integer<int64>

メディアの再生時間

Example:

1234567

operations
object[]
thumbnailOperations
object[]
alias
string

メディアを一意に識別する文字列

originalUrl
string<uri>

オリジナル画像のアクセスURL

status
enum<string>
Available options:
published
signed
boolean

署名付きURLが有効かどうか

Example:

true